package com.hzya.frame.seeyon.invoice.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class InvoiceDetailsEntity extends BaseEntity {
    private String item_no;//明细行编号
    private String item_name;//商品名称
    private String tax_cate_code;//税收分类编码，19位
    private String spec;//规格型号
    private String unit;//单位
    private String quantity;//数量
    private String unit_price;//单价
    private String price;//金额
    private String tax_rate;//税率
    private String zero_flag;//零税率
    private String tax;//税额
    private String include_tax_tag;//含税标识
    private String detail_type;//明细行性质
    private String enjoy_preferential_flag;//是否享受优惠0 否1是
    private String preferential_policy_type;//优惠政策类型

    public String getItem_no() {
        return item_no;
    }

    public void setItem_no(String item_no) {
        this.item_no = item_no;
    }

    public String getItem_name() {
        return item_name;
    }

    public void setItem_name(String item_name) {
        this.item_name = item_name;
    }

    public String getTax_cate_code() {
        return tax_cate_code;
    }

    public void setTax_cate_code(String tax_cate_code) {
        this.tax_cate_code = tax_cate_code;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getUnit_price() {
        return unit_price;
    }

    public void setUnit_price(String unit_price) {
        this.unit_price = unit_price;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getTax_rate() {
        return tax_rate;
    }

    public void setTax_rate(String tax_rate) {
        this.tax_rate = tax_rate;
    }

    public String getZero_flag() {
        return zero_flag;
    }

    public void setZero_flag(String zero_flag) {
        this.zero_flag = zero_flag;
    }

    public String getTax() {
        return tax;
    }

    public void setTax(String tax) {
        this.tax = tax;
    }

    public String getInclude_tax_tag() {
        return include_tax_tag;
    }

    public void setInclude_tax_tag(String include_tax_tag) {
        this.include_tax_tag = include_tax_tag;
    }

    public String getDetail_type() {
        return detail_type;
    }

    public void setDetail_type(String detail_type) {
        this.detail_type = detail_type;
    }

    public String getEnjoy_preferential_flag() {
        return enjoy_preferential_flag;
    }

    public void setEnjoy_preferential_flag(String enjoy_preferential_flag) {
        this.enjoy_preferential_flag = enjoy_preferential_flag;
    }

    public String getPreferential_policy_type() {
        return preferential_policy_type;
    }

    public void setPreferential_policy_type(String preferential_policy_type) {
        this.preferential_policy_type = preferential_policy_type;
    }
}
